package com.friday.operation.api.keepalive.constant.smartrpa;

/**
 * @Author YaoYao
 * @Date Created In 15:30 2022/12/7
 * @Description 任务状态集
 * @Modified By
 */
public enum JobState {
    Pending("Pending", "待启动"),
    Running("Running", "运行中"),
    Success("Success", "运行成功"),
    Fail("Fail", "运行失败"),
    Faulted("Faulted", "异常终止"),
    Terminating("Terminating", "正在终止"),
    Terminated("Terminated", "已终止"),
    Pausing("Pausing", "正在暂停"),
    Paused("Paused", "已暂停"),
    Resuming("Resuming", "正在恢复"),
    Invalid("Invalid", "无效状态")
    ;

    private String state;
    private String description;

    JobState(String state, String description) {
            this.state = state;
            this.description = description;
    }

    public String getState() {
            return state;
        }

}
